%global module_name npm-stats

Name:           nodejs-%{module_name}
Version:        1.1.0
Release:        5%{?dist}
Summary:        Convenience module for getting back data from an NPM registry

License:        MIT
URL:            https://github.com/hughsk/npm-stats/
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

Requires:       npm(event-stream)
Requires:       npm(JSONStream)
Requires:       npm(stream-reduce)
Requires:       npm(through)
Requires:       npm(nano)
Requires:       npm(request)
Requires:       npm(lodash.merge)


%description
Convenience module for getting back data from an NPM registry. All of the
methods return a JSON stream, and/or take a callback. Where specified,
some methods take an optional options object as well.

%prep
%setup -q -n package
rm -rf node_modules

%nodejs_fixdep JSONStream
%nodejs_fixdep event-stream ~3.x
%nodejs_fixdep nano ~6.x
%nodejs_fixdep request ~2.x
%nodejs_fixdep through ~2.x


%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js lib %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%files
%doc README.md LICENSE.md
%{nodejs_sitelib}/%{module_name}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Oct 18 2016 Parag Nemade <pnemade AT redhat DOT com> - 1.1.0-4
- Relax fixdep for npm(jsonstream)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Dec 07 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.1.0-1
- Initial packaging

